# DocumentsModelRootType enum

Inheritance
  - Object
  - Enum
  - DocumentsModelRootType
Available extensions
  - EnumName

## Values

MRZType → const DocumentsModelRootType
  `const DocumentsModelRootType(MRZ.DOCUMENT_TYPE, MRZ.DOCUMENT_TYPE, MRZ.DOCUMENT_NORMALIZED_TYPE)`
DeIdCardFrontType → const DocumentsModelRootType
  `const DocumentsModelRootType(DeIdCardFront.DOCUMENT_TYPE, DeIdCardFront.DOCUMENT_TYPE, DeIdCardFront.DOCUMENT_NORMALIZED_TYPE)`
DeIdCardBackType → const DocumentsModelRootType
  `const DocumentsModelRootType(DeIdCardBack.DOCUMENT_TYPE, DeIdCardBack.DOCUMENT_TYPE, DeIdCardBack.DOCUMENT_NORMALIZED_TYPE)`
DePassportType → const DocumentsModelRootType
  `const DocumentsModelRootType(DePassport.DOCUMENT_TYPE, DePassport.DOCUMENT_TYPE, DePassport.DOCUMENT_NORMALIZED_TYPE)`
DeDriverLicenseFrontType → const DocumentsModelRootType
  `const DocumentsModelRootType(DeDriverLicenseFront.DOCUMENT_TYPE, DeDriverLicenseFront.DOCUMENT_TYPE, DeDriverLicenseFront.DOCUMENT_NORMALIZED_TYPE)`
DeDriverLicenseBackType → const DocumentsModelRootType
  `const DocumentsModelRootType(DeDriverLicenseBack.DOCUMENT_TYPE, DeDriverLicenseBack.DOCUMENT_TYPE, DeDriverLicenseBack.DOCUMENT_NORMALIZED_TYPE)`
DeResidencePermitFrontType → const DocumentsModelRootType
  `const DocumentsModelRootType(DeResidencePermitFront.DOCUMENT_TYPE, DeResidencePermitFront.DOCUMENT_TYPE, DeResidencePermitFront.DOCUMENT_NORMALIZED_TYPE)`
DeResidencePermitBackType → const DocumentsModelRootType
  `const DocumentsModelRootType(DeResidencePermitBack.DOCUMENT_TYPE, DeResidencePermitBack.DOCUMENT_TYPE, DeResidencePermitBack.DOCUMENT_NORMALIZED_TYPE)`
EuropeanHealthInsuranceCardType → const DocumentsModelRootType
  `const DocumentsModelRootType(EuropeanHealthInsuranceCard.DOCUMENT_TYPE, EuropeanHealthInsuranceCard.DOCUMENT_TYPE, EuropeanHealthInsuranceCard.DOCUMENT_NORMALIZED_TYPE)`
DeHealthInsuranceCardFrontType → const DocumentsModelRootType
  `const DocumentsModelRootType(DeHealthInsuranceCardFront.DOCUMENT_TYPE, DeHealthInsuranceCardFront.DOCUMENT_TYPE, DeHealthInsuranceCardFront.DOCUMENT_NORMALIZED_TYPE)`

## Properties

fullName → String
  final
hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String
  final
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
normalizedName → String
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<DocumentsModelRootType>
  A constant List of the values in this enum, in order of their declaration.